# Uses of Class
org.apache.lucene.facet.FacetsCollector

Packages that use FacetsCollector
Package
Description
org.apache.lucene.facet
Faceted search.
org.apache.lucene.facet.facetset
Provides FacetSets faceting capabilities which allows users to facet on high dimensional field values.
org.apache.lucene.facet.range
Provides range faceting capabilities.
org.apache.lucene.facet.rangeonrange
Provides range on range faceting capabilities.
org.apache.lucene.facet.sortedset
Provides faceting capabilities over facets that were indexed with `SortedSetDocValuesFacetField`.
org.apache.lucene.facet.taxonomy
Taxonomy of Categories.

- ## Uses of FacetsCollector in org.apache.lucene.facet

  Subclasses of FacetsCollector in org.apache.lucene.facet
  Modifier and Type
  Class
  Description
  `class`
  `RandomSamplingFacetsCollector`
  Collects hits for subsequent faceting, using sampling if needed.
  Fields in org.apache.lucene.facet declared as FacetsCollector
  Modifier and Type
  Field
  Description
  `final FacetsCollector`
  DrillSideways.DrillSidewaysResult.`drillDownFacetsCollector`
  FacetsCollector populated based on hits that match the full DrillDownQuery, treating all drill down dimensions as required clauses.
  `final FacetsCollector[]`
  DrillSideways.DrillSidewaysResult.`drillSidewaysFacetsCollector`
  FacetsCollectors populated for each drill sideways dimension.
  Methods in org.apache.lucene.facet that return FacetsCollector
  Modifier and Type
  Method
  Description
  `FacetsCollector`
  FacetsCollectorManager.FacetsResult.`facetsCollector()`
  Returns the value of the `facetsCollector` record component.
  `FacetsCollector`
  FacetsCollectorManager.`newCollector()`
  `FacetsCollector`
  FacetsCollectorManager.`reduce(Collection<FacetsCollector> collectors)`
  Methods in org.apache.lucene.facet with parameters of type FacetsCollector
  Modifier and Type
  Method
  Description
  `protected Facets`
  DrillSideways.`buildFacetsResult(FacetsCollector drillDowns, FacetsCollector[] drillSideways, String[] drillSidewaysDims)`
  Subclass can override to customize per-dim Facets impl.
  Method parameters in org.apache.lucene.facet with type arguments of type FacetsCollector
  Modifier and Type
  Method
  Description
  `FacetsCollector`
  FacetsCollectorManager.`reduce(Collection<FacetsCollector> collectors)`
  Constructors in org.apache.lucene.facet with parameters of type FacetsCollector
  Modifier
  Constructor
  Description
  ``
  `DrillSidewaysResult(Facets facets, TopDocs hits, FacetsCollector drillDownFacetsCollector, FacetsCollector[] drillSidewaysFacetsCollector, String[] drillSidewaysDims)`
  Sole constructor.
  ``
  `FacetsResult(TopDocs topDocs, FacetsCollector facetsCollector)`
  Creates an instance of a `FacetsResult` record class.
  ``
  `LongValueFacetCounts(String field, FacetsCollector hits)`
  Create `LongValueFacetCounts`, using either single-valued `NumericDocValues` or multi-valued `SortedNumericDocValues` from the specified field (depending on what has been indexed).
  ``
  `LongValueFacetCounts(String field, MultiLongValuesSource valuesSource, FacetsCollector hits)`
  Create `LongValueFacetCounts`, using the provided `MultiLongValuesSource` if non-null.
  ``
  `LongValueFacetCounts(String field, LongValuesSource valueSource, FacetsCollector hits)`
  Create `LongValueFacetCounts`, using the provided `LongValuesSource` if non-null.
  ``
  `StringValueFacetCounts(StringDocValuesReaderState state, FacetsCollector facetsCollector)`
  Counts facets across the provided hits.

- ## Uses of FacetsCollector in org.apache.lucene.facet.facetset

  Constructors in org.apache.lucene.facet.facetset with parameters of type FacetsCollector
  Modifier
  Constructor
  Description
  ``
  `MatchingFacetSetsCounts(String field, FacetsCollector hits, FacetSetDecoder facetSetDecoder, FacetSetMatcher... facetSetMatchers)`
  Constructs a new instance of matching facet set counts which calculates the counts for each given facet set matcher.
  ``
  `MatchingFacetSetsCounts(String field, FacetsCollector hits, FacetSetDecoder facetSetDecoder, Query fastMatchQuery, FacetSetMatcher... facetSetMatchers)`
  Constructs a new instance of matching facet set counts which calculates the counts for each given facet set matcher.

- ## Uses of FacetsCollector in org.apache.lucene.facet.range

  Methods in org.apache.lucene.facet.range with parameters of type FacetsCollector
  Modifier and Type
  Method
  Description
  `static List<DynamicRangeUtil.DynamicRangeInfo>`
  DynamicRangeUtil.`computeDynamicRanges(String weightFieldName, LongValuesSource weightValueSource, LongValuesSource fieldValueSource, FacetsCollector facetsCollector, int topN, ExecutorService exec)`
  Construct dynamic ranges using the specified weight field to generate equi-weight range for the specified numeric bin field
  Constructors in org.apache.lucene.facet.range with parameters of type FacetsCollector
  Modifier
  Constructor
  Description
  ``
  `DoubleRangeFacetCounts(String field, FacetsCollector hits, DoubleRange... ranges)`
  Create `RangeFacetCounts`, using double value from the specified field.
  ``
  `DoubleRangeFacetCounts(String field, MultiDoubleValuesSource valuesSource, FacetsCollector hits, DoubleRange... ranges)`
  Create `RangeFacetCounts`, using the provided `MultiDoubleValuesSource` if non-null.
  ``
  `DoubleRangeFacetCounts(String field, MultiDoubleValuesSource valuesSource, FacetsCollector hits, Query fastMatchQuery, DoubleRange... ranges)`
  Create `RangeFacetCounts`, using the provided `MultiDoubleValuesSource` if non-null.
  ``
  `DoubleRangeFacetCounts(String field, DoubleValuesSource valueSource, FacetsCollector hits, DoubleRange... ranges)`
  Create `RangeFacetCounts`, using the provided `DoubleValuesSource` if non-null.
  ``
  `DoubleRangeFacetCounts(String field, DoubleValuesSource valueSource, FacetsCollector hits, Query fastMatchQuery, DoubleRange... ranges)`
  Create `RangeFacetCounts`, using the provided `DoubleValuesSource` if non-null.
  ``
  `LongRangeFacetCounts(String field, FacetsCollector hits, LongRange... ranges)`
  Create `LongRangeFacetCounts` using long values from the specified field.
  ``
  `LongRangeFacetCounts(String field, MultiLongValuesSource valuesSource, FacetsCollector hits, LongRange... ranges)`
  Create `LongRangeFacetCounts`, using the provided `MultiLongValuesSource` if non-null.
  ``
  `LongRangeFacetCounts(String field, MultiLongValuesSource valuesSource, FacetsCollector hits, Query fastMatchQuery, LongRange... ranges)`
  Create `LongRangeFacetCounts`, using the provided `MultiLongValuesSource` if non-null.
  ``
  `LongRangeFacetCounts(String field, LongValuesSource valueSource, FacetsCollector hits, LongRange... ranges)`
  Create `LongRangeFacetCounts`, using the provided `LongValuesSource` if non-null.
  ``
  `LongRangeFacetCounts(String field, LongValuesSource valueSource, FacetsCollector hits, Query fastMatchQuery, LongRange... ranges)`
  Create `LongRangeFacetCounts`, using the provided `LongValuesSource` if non-null.

- ## Uses of FacetsCollector in org.apache.lucene.facet.rangeonrange

  Constructors in org.apache.lucene.facet.rangeonrange with parameters of type FacetsCollector
  Modifier
  Constructor
  Description
  ``
  `DoubleRangeOnRangeFacetCounts(String field, FacetsCollector hits, RangeFieldQuery.QueryType queryType, DoubleRange... ranges)`
  Constructor without the fast match query, see other constructor description for more details.
  ``
  `DoubleRangeOnRangeFacetCounts(String field, FacetsCollector hits, RangeFieldQuery.QueryType queryType, Query fastMatchQuery, DoubleRange... ranges)`
  Represents counts for double range on range faceting.
  ``
  `LongRangeOnRangeFacetCounts(String field, FacetsCollector hits, RangeFieldQuery.QueryType queryType, LongRange... ranges)`
  Constructor without the fast match query, see other constructor description for more details.
  ``
  `LongRangeOnRangeFacetCounts(String field, FacetsCollector hits, RangeFieldQuery.QueryType queryType, Query fastMatchQuery, LongRange... ranges)`
  Represents counts for long range on range faceting.

- ## Uses of FacetsCollector in org.apache.lucene.facet.sortedset

  Constructors in org.apache.lucene.facet.sortedset with parameters of type FacetsCollector
  Modifier
  Constructor
  Description
  ``
  `ConcurrentSortedSetDocValuesFacetCounts(SortedSetDocValuesReaderState state, FacetsCollector hits, ExecutorService exec)`
  Counts all facet dimensions across the provided hits.
  ``
  `SortedSetDocValuesFacetCounts(SortedSetDocValuesReaderState state, FacetsCollector hits)`
  Counts all facet dimensions across the provided hits.

- ## Uses of FacetsCollector in org.apache.lucene.facet.taxonomy

  Constructors in org.apache.lucene.facet.taxonomy with parameters of type FacetsCollector
  Modifier
  Constructor
  Description
  ``
  `FastTaxonomyFacetCounts(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)`
  Create `FastTaxonomyFacetCounts`, using the specified `indexFieldName` for ordinals.
  ``
  `FastTaxonomyFacetCounts(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)`
  Create `FastTaxonomyFacetCounts`, which also counts all facet labels.
  ``
  `TaxonomyFacetFloatAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetFloatAssociations` against the specified index field.
  ``
  `TaxonomyFacetFloatAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction, DoubleValuesSource valuesSource)`
  Create `TaxonomyFacetFloatAssociations` against the specified index field.
  ``
  `TaxonomyFacetFloatAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetFloatAssociations` against the default index field.
  ``
  `TaxonomyFacetFloatAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction, DoubleValuesSource valuesSource)`
  Create `TaxonomyFacetFloatAssociations` against the default index field.
  ``
  `TaxonomyFacetIntAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetIntAssociations` against the specified index field.
  ``
  `TaxonomyFacetIntAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetIntAssociations` against the default index field.